/* declarations */
int sgetline(int fd, char **sbuf);
int sputline(int fd, char *outbuf);
int connect_to_nntphost(char *host, struct hostent **);
char *number(char *sp, int *intPtr);
struct hostent *get_hostent(char *host);

#define SOCKET_PROTOCOL 0	/* so testhost.c can get at it */

/* debugging options. no need to change it */
#ifdef DEBUG1
#define DEBUG
#endif

#ifdef DEBUG2
#define DEBUG
#define N_DEBUG "debug.suck"
#endif

#ifdef DEBUG3
#define N_DEBUG "debug.rpost"
#define DEBUG
#endif

#ifdef DEBUG
void do_debug(char *fmt, ...);
void MyPerror(char *);
#define perror(x) MyPerror(x)
#ifndef N_DEBUG 
#define N_DEBUG "debug.both"
#endif
#endif

