/* Config Options */

/*  DEBUG Options */
/*  DEBUG1 = debug both.c, particularly sgetline() */
/*  DEBUG2 = debug suck.c  */
/*  DEBUG3 = debug rpost.c  */
/*  dont define DEBUG2 and DEBUG3 at same time  */
/*  warning if you have DEBUG1 defined when you compile suck.c, you will get */
/*  every line of every message in the debug output file twice, this can  */
/*  create a debug file many megs in size */
/* #define DEBUG1 */
/* #define DEBUG2 */
/* #define DEBUG3 */

/*  TIMER Option */
/* To see the approximate BPS while downloading msgs, uncomment this */
/* If you don't like it, or want a tiny speed increase, comment this out */
#define TIMER

/* If you don't EVER plan to use the KILLFILE stuff, comment this out for a slight speed increase */
/* If you want to, or plan to, use the KILLFILE stuff, uncomment this */
#define KILLFILE

/* if your News Server doesn't like the mode_reader command in get_announcements() */
/* uncomment this */
/* #define NNRP	*/

/* if you want to timeout if no read after X seconds define this   */
/* as number of seconds before timeout 				   */
/* else, comment it out.  If you comment it out, if link goes down */
/* we'll just sit, twiddling our bits, until whenever.             */
#define TIMEOUT 30


/*  FILE NAMES */
/* Data files read in */
#define N_OLDRC 	"sucknewsrc"		/* what newsgroups to download			 */
#define N_KILLFILE 	"suckkillfile"		/* Parameter file for which msgs NOT to download */
#define N_SUPPLEMENTAL 	"suckothermsgs"		/* list of msgnrs to add to our list to download */

/* TEMP FILES created */
#define N_NEWRC "suck.newrc"
#define N_INDEX "suck.index"
#define N_SORTED "suck.sorted"
#define N_RESTART "suck.restart"
#define N_KILLLOG "suck.killlog"

/* Various DIRECTORY PATHS, these can be overriden from command line */
#define N_TMPDIR "."		/* location of Temp Files */
#define N_DATADIR "."		/* location of Data Files */
#define N_MSGDIR "./Msgs"	/*location of messages produced by suck, if multifile option selected */

/* Argument substition strings for rpost */
#define RPOST_FILTER_IN "$$i"
#define RPOST_FILTER_OUT "$$o"

/* Max nr of args to the rpost filter */
#define RPOST_MAXARGS 128

/*  Internal buffer size shouldn't need to change */
#define MAXLINLEN 4096
